LIBJXL: JxlGainMapBundle Struct Reference

LIBJXL |

Loading...
Searching...
No Matches
Public Attributes | List of all members
JxlGainMapBundle Struct Reference
JPEG XL library (libjxl) » Image and frame metadata

`#include <gain_map.h>`

Collaboration diagram for JxlGainMapBundle:
[legend]

## Public Attributes
uint8_t | jhgm_version
uint16_t | gain_map_metadata_size
const uint8_t * | gain_map_metadata
JXL_BOOL | has_color_encoding
JxlColorEncoding | color_encoding
uint32_t | alt_icc_size
const uint8_t * | alt_icc
uint32_t | gain_map_size
const uint8_t * | gain_map

## Detailed Description

Gain map bundle

This structure is used to serialize gain map data to and from an input buffer. It holds pointers to sections within the buffer, and different parts of the gain map data such as metadata, ICC profile data, and the gain map itself.

The pointers in this structure do not take ownership of the memory they point to. Instead, they reference specific locations within the provided buffer. It is the caller's responsibility to ensure that the buffer remains valid and is not deallocated as long as these pointers are in use. The structure should be considered as providing a view into the buffer, not as an owner of the data.

## Member Data Documentation

## ◆ alt_icc

const uint8_t* JxlGainMapBundle::alt_icc

Pointer to the compressed ICC profile. This pointer references data within the input buffer.

## ◆ alt_icc_size

uint32_t JxlGainMapBundle::alt_icc_size

Size of the alternative ICC profile in bytes (compressed size).

## ◆ color_encoding

JxlColorEncoding JxlGainMapBundle::color_encoding

If has_color_encoding is true, this field contains the uncompressed color encoding data.

## ◆ gain_map

const uint8_t* JxlGainMapBundle::gain_map

Pointer to the gain map data, which is a JPEG XL naked codestream. This pointer references data within the input buffer.

## ◆ gain_map_metadata

const uint8_t* JxlGainMapBundle::gain_map_metadata

Pointer to the gain map metadata, which is a binary blob following ISO 21496-1. This pointer references data within the input buffer.

## ◆ gain_map_metadata_size

uint16_t JxlGainMapBundle::gain_map_metadata_size

Size of the gain map metadata in bytes.

## ◆ gain_map_size

uint32_t JxlGainMapBundle::gain_map_size

Size of the gain map in bytes.

## ◆ has_color_encoding

JXL_BOOL JxlGainMapBundle::has_color_encoding

Indicates whether a color encoding is present.

## ◆ jhgm_version

uint8_t JxlGainMapBundle::jhgm_version

Version number of the gain map bundle.

The documentation for this struct was generated from the following file:

- jxl/gain_map.h